petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFieldSplitSetDMSplits

Flags whether DMCreateFieldDecomposition() should be used to define the splits, whenever possible.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetDMSplits(PC pc,PetscBool flg)

Logically Collective Many br

### Input Parameters

| pc | - the preconditioner context Many br
| flg | - boolean indicating whether to use field splits defined by the DM Many br

### Options Database Key

-pc_fieldsplit_dm_splits - Many br Many br

### Keywords

PC, DM, composite preconditioner, additive, multiplicative

### See Also

PCFieldSplitGetDMSplits()

Level:Intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages